Adds the key-value associations from one table into another and returns the resulting merged table.

```lua
table.merge(tbl1, tbl2, ...)
```

### Parameters ###

One or more tables to be merged.


### Return Value ###

A new table containing the key-value pairs from each input table, from first to last.


### Availability ###

Premake 5.0 or later.

